--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: RestrictedStream.new(@io) if block_given?
comment: 
full_name: Gem::Package::TarWriter#add_file
is_singleton: false
name: add_file
params: (name, mode) {|RestrictedStream.new(@io) if block_given?| ...}
visibility: public
